This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 131755 - `scroll on output' option ignored
`scroll on output' option ignored
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: 131589
  Show dependency treegraph
 
Reported: 2004-09-03 18:27 EDT by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-23 13:13:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-09-03 18:27:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
I have the `scroll on output' option disabled, but `scroll on
keystroke' enable.  This used to enable me to scroll back and look
closely at something already scrolled out of the terminal, while new
output was generated.  It seems like, as of the past few days, the
unchecking of `scroll on output' is no longer honored, and the
terminal always scrolls to the end when new output is produced.

Version-Release number of selected component (if applicable):
gnome-terminal-2.7.3-1 vte-0.11.11-3

How reproducible:
Always

Steps to Reproduce:
1.Disable `scroll on output' in Right click -> Edit current Profile ->
Scrolling
2.Run a command that slowly produces a lot of output (say, for n in
`seq 100`; do echo $n; usleep 100000; done
3.When the `1' scrolls off the screen, use shift pageup to scroll up

Actual Results:  It will scroll back to the end as new output is produced.

Expected Results:  Earlier versions honored this option, and it would
be nice if it could be restored.

Additional info:
Comment 1 Mark McLoughlin 2004-09-17 05:27:03 EDT
Ray has fixed this one - confirmed fixed with vte-0.11.11-5

Note You need to log in before you can comment on or make changes to this bug.